Middle button does not work for scrolling in Ubuntu 13.10

Bug #1246683 reported by Alloc on 2013-10-31
414
This bug affects 82 people
Affects Status Importance Assigned to Milestone
xserver-xorg-input-evdev (Ubuntu)
Undecided
Unassigned

Bug Description

With my Lenovo T440s laptop the Trackpad/Trackpoint laptop scrolling does not work when pressing middle button + moving the Trackpoint. evdev seems to be set correctly ( http://paste.ubuntuusers.de/416732/ ). Middle button itself works fine for middle clicks just no scrolling.

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
Uname: Linux 3.12.0-031200rc7-generic x86_64
ApportVersion: 2.12.5-0ubuntu2.1
Architecture: amd64
Date: Thu Oct 31 12:36:14 2013
InstallationDate: Installed on 2013-10-17 (13 days ago)
InstallationMedia: Xubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016)
MarkForUpload: True
SourcePackage: xserver-xorg-input-evdev
UpgradeStatus: No upgrade log present (probably fresh install)

Alloc (christian-illy) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-input-evdev (Ubuntu):
status: New → Confirmed
Bae Taegil (esrevinu) wrote :

I am now an Archlinux user. I made a patch to solve this problem. You can find the patch in the following link:
https://aur.archlinux.org/packages/xf86-input-evdev-trackpoint/

laurent (m2k-networx) wrote :

@esrevinu: Thanks for the effort, but I'm having trouble to make it work.
Please refer to the following post: https://bbs.archlinux.org/viewtopic.php?pid=1359126

Ash (ash-summers) wrote :

I also experience this on Saucy.

Alloc, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p xserver-xorg-input-evdev REPLACE-WITH-BUG-NUMBER

Please note, given that the information from the prior release is already available, doing this on a release prior to the development one would not be helpful.

Thank you for your understanding.

Helpful bug reporting tips:
https://wiki.ubuntu.com/ReportingBugs

Changed in xserver-xorg-input-evdev (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
ltmon (lukemonahan) wrote :

This is still definitely an issue, and not fixed upstream from what I can tell. Apport for evdev coming soon.

tags: added: apport-collected ubuntu

ApportVersion: 2.12.5-0ubuntu2.2
Architecture: amd64
DistUpgraded: Fresh install
DistroCodename: saucy
DistroRelease: Ubuntu 13.10
DistroVariant: ubuntu
InstallationDate: Installed on 2013-12-17 (23 days ago)
InstallationMedia: Ubuntu 13.10 "Saucy Salamander" - Release amd64 (20131016.1)
MachineType: LENOVO 20AQCTO1WW
MarkForUpload: True
Package: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
PackageArchitecture: amd64
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.12.0-031200-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=7
Tags: saucy ubuntu
Uname: Linux 3.12.0-031200-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 11/12/2013
dmi.bios.vendor: LENOVO
dmi.bios.version: GJET64WW (2.14 )
dmi.board.asset.tag: Not Available
dmi.board.name: 20AQCTO1WW
dmi.board.vendor: LENOVO
dmi.board.version: 0B98405 STD
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvrGJET64WW(2.14):bd11/12/2013:svnLENOVO:pn20AQCTO1WW:pvrThinkPadT440s:rvnLENOVO:rn20AQCTO1WW:rvr0B98405STD:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 20AQCTO1WW
dmi.product.version: ThinkPad T440s
dmi.sys.vendor: LENOVO
version.compiz: compiz 1:0.9.10+13.10.20131011-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.46-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 9.2.1-1ubuntu3
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 9.2.1-1ubuntu3
version.xserver-xorg-core: xserver-xorg-core 2:1.14.5-1ubuntu2~saucy1
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.2.0-0ubuntu10
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.904-0ubuntu2
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.9-2ubuntu1
xserver.bootTime: Thu Jan 9 08:48:57 2014
xserver.configfile: default
xserver.errors:

xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 4669
 vendor AUO
xserver.version: 2:1.14.3-3ubuntu2

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

ltmon, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

tags: removed: apport-collected ubuntu
Meng Jiao (meng1usa) on 2014-02-21
Changed in xserver-xorg-input-evdev (Ubuntu):
assignee: nobody → Meng Jiao (meng1usa)

I'm seeing this behavior too. I'm using Trusty Tahir on a 2014 Lenovo X1 Carbon.

I tried compiling esrevinu's driver, but it requires automake-1.13 and I couldn't figure out how to get that specific version.

I got esrevinu's driver to compile on Trusty Tahir. But using it caused X11 to exit. I don't know enough about debugging such things to figure out what went wrong.

Barry Warsaw (barry) wrote :

See also Larry's explanation in the dup bug: LP: #1287148

Maybe the Arch Linux package could be packaged for Ubuntu?

Changed in xserver-xorg-input-evdev (Ubuntu):
assignee: Meng Jiao (meng1usa) → nobody

ltmon / Larry Hastings, please do not mark this report a duplicate of yours, or vice versa, as it's not considered a duplicate.

Barry Warsaw, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

description: updated
Jörg Baach (jbaach) wrote :

How do I find out what the ids of the new bug reports are? I am follwing this bug to decide if I can buy a new thinkpad....

dalcde (dalcde) wrote :

Solved the problem with the following script. Requires source repositories enabled:

Ubuntu: http://askubuntu.com/questions/158871/how-do-i-enable-the-source-code-repositories
Mint: menu->software sources->Enable source code repositories

#!/bin/bash
sudo apt-get install git
sudo apt-get build-dep xserver-xorg-input-evdev xserver-xorg-input-synaptics

wget https://aur.archlinux.org/packages/xf/xf86-input-evdev-trackpoint/xf86-input-evdev-trackpoint.tar.gz
tar -xzf xf86-input-evdev-trackpoint.tar.gz
git clone git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-input-evdev
git clone git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-input-synaptics

mv xf86-input-evdev-trackpoint arch
mv xserver-xorg-input-evdev evdev
mv xserver-xorg-input-synaptics synaptics

cp synaptics/src/{eventcomm.c,eventcomm.h,properties.c,synaptics.c,synapticsstr.h,synproto.c,synproto.h} evdev/src
cp synaptics/include/synaptics-properties.h evdev/src
cp arch/*.patch evdev

cd evdev
patch -p1 -i 0001-implement-trackpoint-wheel-emulation.patch
patch -p1 -i 0008-disable-clickpad_guess_clickfingers.patch
patch -p1 -i 0010-add-synatics-files-into-Makefile.am.patch

dpkg-buildpackage

cd ..
sudo dpkg -i xserver-xorg-input-evdev_*.deb
sudo apt-get remove xserver-xorg-input-synaptics

sudo mkdir /etc/X11/xorg.conf.d/
sudo cp arch/90-evdev-trackpoint.conf /etc/X11/xorg.conf.d

Thank you, dalcde, your workaround worked on Ubuntu Trusty Tahr.

dalcde (dalcde) wrote :

Actually I patched the debian package because Ubuntu 13.10/Mint 16 had old evdev/synaptics versions. If you are on Trusty, then you can patch the ubuntu packages instead (even though they appear to be identical). Repalce the git clone lines with

apt-get source xserver-xorg-input-evdev xserver-xorg-input-synaptics

and modify the mv lines accordingly (different folder names)

dalcde / Aurimas Fišeras, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Ray-Ven (ray-ven) on 2014-03-26
summary: - Middle button does not work for scrolling
+ Touchpad middle button does not work for scrolling with trackpoint
+ (ultranav)

persists on trusty with xserver-xorg-input-synaptic 1.7.99

Ray-Ven, thank you for your comment. So your hardware and problem may be tracked, could you please file a new report by executing the following in a terminal:
ubuntu-bug xorg

Please ensure you have xdiagnose installed, and that you click the Yes button for attaching additional debugging information.

For more on this, please see the official Ubuntu documentation:
Ubuntu X.Org Team, Ubuntu Bug Control, and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report will delay your problem being addressed as quickly as possible.

Thank you for your understanding.

summary: - Touchpad middle button does not work for scrolling with trackpoint
- (ultranav)
+ Middle button does not work for scrolling
tags: added: needs-trusty-test needs-xorg-logs
Benjamin Xiao (ben-r-xiao) wrote :

Does this bug also cover other issues with the X1 Carbon touchpad buttons? None of the top buttons work for me and the bottom button regions are huge (they take up 50% of the touchpad).

Benjamin Xiao, no it doesn't. If you have a problem with that, please file a separate report via a terminal:
ubuntu-bug xorg

Lukas Cerman (lukass-cerman) wrote :

Hello,

I tried to follow dalcde's guide/script, but without a success. Probably the packages changed since then. I am on a freshly installed Ubuntu 14.04. When trying to apply the patches, I get the following errors:

patch -p1 -i 0001-implement-trackpoint-wheel-emulation.patch
patching file src/evdev.c
Hunk #1 succeeded at 113 (offset -2 lines).
Hunk #2 succeeded at 146 with fuzz 2 (offset 2 lines).
Hunk #3 succeeded at 1012 (offset 38 lines).
Hunk #4 succeeded at 2543 (offset 28 lines).
Hunk #5 succeeded at 2557 with fuzz 2 (offset 26 lines).
Hunk #6 succeeded at 2594 (offset 19 lines).
Hunk #7 succeeded at 2615 (offset 19 lines).
Hunk #8 succeeded at 2646 (offset 18 lines).
patching file src/evdev.h
Hunk #1 FAILED at 152.
1 out of 1 hunk FAILED -- saving rejects to file src/evdev.h.rej
patching file src/synaptics.c
Hunk #6 succeeded at 799 (offset -43 lines).
Hunk #7 succeeded at 815 (offset -43 lines).
Hunk #8 succeeded at 902 (offset -37 lines).
Hunk #9 FAILED at 2797.
Hunk #10 FAILED at 2815.
Hunk #11 succeeded at 2783 with fuzz 2 (offset -44 lines).
2 out of 11 hunks FAILED -- saving rejects to file src/synaptics.c.rej
patching file src/synapticsstr.h
Hunk #1 succeeded at 210 (offset -19 lines).
patching file src/synproto.c
patching file src/synproto.h
Hunk #2 succeeded at 72 (offset -4 lines).

patch -p1 -i 0008-disable-clickpad_guess_clickfingers.patch
patch: **** Can't open patch file 0008-disable-clickpad_guess_clickfingers.patch : No such file or directory

patch -p1 -i 0010-add-synatics-files-into-Makefile.am.patch
patch: **** Can't open patch file 0010-add-synatics-files-into-Makefile.am.patch : No such file or directory

I have tried the original "git clone" and also the "apt-get source xserver-xorg-input-evdev xserver-xorg-input-synaptics" with the same result.

Please, would you advice me what should I do in order to apply those patches?

Best regards,
Lukas

T_Send (tsend4u) wrote :

Lukas Cerman - I did some changes in dalcde's script. Try this one:

#!/bin/bash

sudo apt-get install libevdev-dev libevdev2
sudo apt-get build-dep xserver-xorg-input-evdev xserver-xorg-input-synaptics

wget https://launchpad.net/ubuntu/+archive/primary/+files/xserver-xorg-input-evdev_2.9.0.orig.tar.gz
wget https://launchpad.net/ubuntu/+archive/primary/+files/xserver-xorg-input-evdev_2.9.0-1ubuntu1.diff.gz
wget https://launchpad.net/ubuntu/+archive/primary/+files/xserver-xorg-input-evdev_2.9.0-1ubuntu1.dsc

wget https://launchpad.net/ubuntu/+archive/primary/+files/xserver-xorg-input-synaptics_1.8.0.orig.tar.gz
wget https://launchpad.net/ubuntu/+archive/primary/+files/xserver-xorg-input-synaptics_1.8.0-1~exp2ubuntu2.diff.gz
wget https://launchpad.net/ubuntu/+archive/primary/+files/xserver-xorg-input-synaptics_1.8.0-1~exp2ubuntu2.dsc

dpkg-source -x --no-check xserver-xorg-input-evdev_2.9.0-1ubuntu1.dsc
dpkg-source -x --no-check xserver-xorg-input-synaptics_1.8.0-1~exp2ubuntu2.dsc

wget https://aur.archlinux.org/packages/xf/xf86-input-evdev-trackpoint/xf86-input-evdev-trackpoint.tar.gz

tar -xzf xf86-input-evdev-trackpoint.tar.gz

mv xf86-input-evdev-trackpoint arch
mv xserver-xorg-input-evdev-2.9.0 evdev
mv xserver-xorg-input-synaptics-1.8.0 synaptics

cp synaptics/src/{eventcomm.c,eventcomm.h,properties.c,synaptics.c,synapticsstr.h,synproto.c,synproto.h} evdev/src
cp synaptics/include/synaptics-properties.h evdev/src
cp arch/*.patch evdev

cd evdev
patch -p1 -i 0001-implement-trackpoint-wheel-emulation.patch
patch -p1 -i 0004-disable-clickpad_guess_clickfingers.patch
patch -p1 -i 0006-add-synatics-files-into-Makefile.am.patch

dpkg-buildpackage

cd ..
sudo dpkg -i xserver-xorg-input-evdev_*.deb
sudo apt-get remove xserver-xorg-input-synaptics

sudo mkdir /etc/X11/xorg.conf.d/
sudo cp arch/90-evdev-trackpoint.conf /etc/X11/xorg.conf.d

echo If everything was OK, than logout/reboot and enjoy fully working ThinkPad Trackpoint/ClickPad
echo If you want to deactivate touch area of ClickPad for pure TrackPoint usage
echo edit /etc/X11/xorg.conf.d/90-evdev-trackpoint.conf and change "0" to "1" at line
echo Option "AreaBottomEdge" "0"

Regards, T_Send

Benjamin Braun (benbraunster) wrote :

T_Send - Thanks for your script, middle button scrolling is finally working =)

HumanPlayer2 (humanplayer2) wrote :

Benjamin Xiao, I just ried the script from T-send's post on my Carbon X1 (Ubuntu Gnome, 14.04), and that made the trackpad buttons normal -- and gave me middle click to scroll! Yay!
Thank you T_send, and dalcde, and of course esrevinu!

Daniel Philipp (danphil7) wrote :

The script works for me too (T400s, Ubuntu 14.04), thanks T_send :))) I tried a lot of other stuff to get it to work, nothing seemed to be fixing the problem.

Ruslan Khozinov (fallrabble) wrote :

The script works perfectly on my t440p with kubuntu 14.04. Thank you.

Luca Graf (lgraf) wrote :

After executing T_send script middle button scrolling works perfectly on my t440s (ubuntu 14.04). However since then synclient/syndeamon are missing on my system?

subterfugium (otto-inablaze) wrote :

T_sends script works well on Lenovo Thinkpad Yoga on Ubuntu 14.04. Great job!

mpihlstrom (max-pihlstrom) wrote :

Thank you guys. T_send's script is working on X1 Carbon 2nd gen with Ubuntu 14.04. Finally.

mpihlstrom (max-pihlstrom) wrote :

I was perhaps too eager with the celebration. Synclient is now not loaded on startup, making the trackpad not disabled.

mpihlstrom (max-pihlstrom) wrote :

I re-installed the xserver-xorg-input-synaptics package and rebooted and now everything is working, including middle click scroll. Thanks you, and sorry for flooding.

HumanPlayer2 (humanplayer2) wrote :

Just ran the script from post #50 on fresh Ubuntu GNOME 14.04 on ThinkPad X240, worked as a charm!

Tobi (t-eggert) wrote :

When trying to run the script from post #50 i get this message (fresh installed Ubuntu 14.04, X240):

cp: cannot stat ‘synaptics/src/{eventcomm.c,eventcomm.h,properties.c,synaptics.c,synapticsstr.h,synproto.c,synproto.h}’: No such file or directory
patching file src/evdev.c
patching file src/evdev.h
can't find file to patch at input line 125
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff --git a/src/synaptics.c b/src/synaptics.c
|index b25c902..aa7725d 100644
|--- a/src/synaptics.c
|+++ b/src/synaptics.c
--------------------------
File to patch:

This bug is flagged as "incomplete".

What information is missing to confirm the bug?

The problem is well defined, there is a confirmed duplicate/parallel bug for xserver-xorg-input-synaptics.

The proposed patch appears to work fine for all thinkpads with clickpad.

What is the solution for this issue? Does the patch have to be included in the upstream code xserver-xorg-input-evdev, or should a dedicated package be built and included in the official repositories?

Should we create a dedicated ppa for thinkpads, which makes it easy for new users to make their thinkpad work?

chonduhvan (chonduhvan) wrote :

Persists on 14.10 with xserver-xorg-input-synaptic 1.8.1, T440P

If you don't want to compile the package yourself, II created a ppa which contains the patched xserver-xorg-input-evdev, including a working config in xorg.conf.d. The package should also make sure that the conflicting synaptics package is removed.
ppa:dominik-gierlach/thinkpad

Lukas Cerman (lukass-cerman) wrote :

T_Send, thanks a lot! I works nicely now on my T440p with Ubuntu 14.04, finally!

zilti (dziltener) wrote :

This bug is still there. What's the world waiting for?

Andrew Goessling (agoessling) wrote :

The trackpoint on new Lenovo's is currently unusable with Ubuntu. Is there a plan to integrate T_send's fix into Ubuntu? It works for me, but stops working after any software updates.

T_Send (tsend4u) wrote :

Script needs to be upgraded,
I will do it soon
and upload ready-to-use for everyone.

Julian Kalinowski (julakali) wrote :

Is the suggested patch the same that is included in this ppa?
https://launchpad.net/~bjornt/+archive/ubuntu/evdev

I'm using the above ppa, and it works fine, however, there is no synclient, which makes on-the-fly reconfiguration difficult.

Rafael Nonato (rafaeln) wrote :

I'm also using `xserver-xorg-input-evdev` from the [ppa](https://launchpad.net/~bjornt/+archive/ubuntu/evdev)

One of the problems with this package is that it doesn't turn the trackpad off while you're typing, resulting in lots of accidental clicks.

HumanPlayer2 (humanplayer2) wrote :

@Julian, #69: T_send's script and the ppa you list seem to be based on the same arch package (there's a link in the script and one on the ppa site to the same aur page: https://aur.archlinux.org/packages/xf86-input-evdev-trackpoint/ )

T_Send (tsend4u) wrote :

Before I start work over AUR's pkg, I tried Bjornt ppa.
It didn't work for me at all - that's why I show up here :)
(maybe because I messed up smth with xorg &/o evdev already - don't remember now)
At begin of July I bought High-End MX TP-W540. I took me a month to solve it. During that period most time I spent on customizing my TP to desired state.

Point is building driver from latest source, which allows to use much more input options and definitions.

Auto-Disable input during typing works for me.

Last weeks Am too busy, I didn't even start working on upgrade.

Launchpad Janitor (janitor) wrote :

[Expired for xserver-xorg-input-evdev (Ubuntu) because there has been no activity for 60 days.]

Changed in xserver-xorg-input-evdev (Ubuntu):
status: Incomplete → Expired
Ibrahim Awwal (ibrahim-awwal) wrote :

This is still an issue, and now on 15.04 the old patches don't build anymore :/

Still an issue in 15.04 for me also.

For the record:
The ppa "ppa:dominik-gierlach/thinkpad" was updated for 15.04

And it works on my Thinkpad X1 Carbon Gen 2

HumanPlayer2 (humanplayer2) wrote :

On mine as well. Thank you very much Dominik!

On Fedora 22, scrolling works natively

2015-05-18 17:54 GMT+02:00 HumanPlayer2 <email address hidden>:

> On mine as well. Thank you very much Dominik!
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1246683
>
> Title:
> Middle button does not work for scrolling
>
> Status in xserver-xorg-input-evdev package in Ubuntu:
> Expired
>
> Bug description:
> With my Lenovo T440s laptop the Trackpad/Trackpoint laptop scrolling
> does not work when pressing middle button + moving the Trackpoint.
> evdev seems to be set correctly ( http://paste.ubuntuusers.de/416732/
> ). Middle button itself works fine for middle clicks just no
> scrolling.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 13.10
> Package: xserver-xorg-input-evdev 1:2.7.3-0ubuntu3.1
> Uname: Linux 3.12.0-031200rc7-generic x86_64
> ApportVersion: 2.12.5-0ubuntu2.1
> Architecture: amd64
> Date: Thu Oct 31 12:36:14 2013
> InstallationDate: Installed on 2013-10-17 (13 days ago)
> InstallationMedia: Xubuntu 13.10 "Saucy Salamander" - Release amd64
> (20131016)
> MarkForUpload: True
> SourcePackage: xserver-xorg-input-evdev
> UpgradeStatus: No upgrade log present (probably fresh install)
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-input-evdev/+bug/1246683/+subscriptions
>

--
W.Oprandi
<email address hidden>

@William:
Thanks for the info!

I read into it. Fedora 22 uses libinput as input stack:
https://fedoraproject.org/wiki/Changes/LibinputForXorg

Among the benefits:
middle top software button can be used to emulate wheel events on the trackstick (on the Lenovo *40 series and related touchpads)

ersiko (ersiko) wrote :

Installed dominic packaged and it worked, I can have scroll now with middle button. Thanks!

Ibrahim Awwal (ibrahim-awwal) wrote :

Oh nice, didn't see your ppa Dominik, it'll be nice to have it working once and for all and not having to rebuild a driver each time the kernel is updated. Thanks so much for making it! I wonder what needs to be done for those patches to be included into Ubuntu proper, it seems crazy that most/all recent Thinkpads have completely broken touchpad drivers on Ubuntu.

Arman (arman-yazdani-10) on 2015-09-21
Changed in xserver-xorg-input-evdev (Ubuntu):
status: Expired → Fix Released

Alloc, thank you for reporting this bug to Ubuntu. Saucy reached EOL on July 17, 2014.
See this document for currently supported Ubuntu releases: https://wiki.ubuntu.com/Releases

If this is reproducible in a supported release, please file a new report.

Changed in xserver-xorg-input-evdev (Ubuntu):
status: Fix Released → Invalid
Mihai Capotă (mihaic) wrote :

Christopher, as you must be aware, given that you commented on this bug one and a half years ago, people have already reported that this bug affects Ubuntu 14.04 LTS and Ubuntu 15.04. So please do not close it.

Mihai Capotă (mihaic) on 2015-10-03
Changed in xserver-xorg-input-evdev (Ubuntu):
status: Invalid → Confirmed

Mihai Capotă, please do not adjust the status of this closed report. If you have an issue, please file a new report.

Changed in xserver-xorg-input-evdev (Ubuntu):
status: Confirmed → Invalid
Mihai Capotă (mihaic) wrote :

Christopher, could you please tell us why you closed the report? Clearly the bug is not about Saucy, but about currently supported releases.

Mihai Capotă, this report is scoped to the original reporter Alloc.

Although this bug is (rightfully) closed, there are interesting news:

With ubuntu 15.10, full clickpad support is provided by xserver-xorg-input-libinput. No further configuration needed.

Tested with a T440s.

Ibrahim Awwal (ibrahim-awwal) wrote :

For anyone coming across this, xserver-xorg-input-libinput isn't installed by default in 15.10, you have to actually install it. But yeah, it works perfectly after installing it. Took me a bit to figure out what actually needed to be done, I guess I thought it was installed by default.

Cerberus (cerberus256) wrote :

I have updated to Ubuntu 15.10 and installed the library xserver-xort-input-libinput but the ultranav doesn't work fully. The functionality I get is

LLLLLLLLLLLLL
LLLLLLLLLLLLL
LLLLLLLLLLLLL
LLLLLLLlRRRR

So the right mouse button is on the bottom right and the middle button/scrolling doesn't work at all!
WIth 15.04 I used the patch from Dominik but that doesn't work seem to work anymore on the 15.10!

Tested on a Thinkpad e540.

Fabio M. Panico (fbugnon) wrote :

Clean install of Ubuntu 15.10 x64 on a T440p and middle button would not scroll.

After having installed xserver-xorg-input-libinput middle button works for scrolling (with track button). But I don't have the ability to tap-to-click (only regular click makes a click).

laurent (m2k-networx) wrote :

Fabio M. Panico, this is okay. These are settings that can be configured.

1. Find out device ID: enter 'xinput' an look for SynPS/2 Synaptics TouchPad. For me, it has id=13
2. Then enter 'xinput --set-prop 13 "libinput Tapping Enabled" 1'

I also have 'xinput set-prop 13 "libinput Click Method Enabled" 0 1'
More options: Check out ' man 4 libinput'

hth :)

I know, it's not the best means of sharing this, but since it appears to be a problem here:
Here is a more general way of solving this. Additionally, the script activates natural scrolling.

#!/bin/bash

set -eu

id=$(xinput list | sed -n '/SynPS\/2 Synaptics TouchPad/s/.*id=\([0-9]\+\).*/\1/p')

naturalScroll=$(xinput list-props "$id" | sed -n '/Natural Scrolling Enabled (/s/.*(\([0-9]\+\)).*/\1/p')

click=$(xinput list-props "$id" | sed -n '/libinput Click Method Enabled (/s/.*(\([0-9]\+\)).*/\1/p')

tap=$(xinput list-props "$id" | sed -n '/libinput Tapping Enabled (/s/.*(\([0-9]\+\)).*/\1/p')

xinput set-int-prop "$id" "$naturalScroll" 8 1
xinput set-prop "$id" "$click" 0 1
xinput set-prop "$id" "$tap" 1

Hi All! I am having troubles getting this evdev driver patch installed on my Ubuntu 14.04.3. Though I am a bloody beginner in package development, I managed to compile it following d3pd's script http://askubuntu.com/a/443668/491172, a derivative of Dominik Gierlach's work.

The problem now is that dpgk -i results in a conflict error with xserver-xorg-input-evdev-lts-vivid. I don't think this is the right place to ask for help as this does not contribute to resolving the bug. However I appreciate any hint on the matter.

@ Dominik Gierlach: When I add your ppa to my list of repository, is there a way to force using the package of your repos over the one I mention earlier? THX in advance!!

Ibrahim Awwal (ibrahim-awwal) wrote :

Hey, I don't understand what happened, but after upgrading to 17.04 my middle click scrolling is broken again. I'm pretty sure I'm still using libinput:

$ xinput list-props 12
Device 'TPPS/2 IBM TrackPoint':
 Device Enabled (140): 1
 Coordinate Transformation Matrix (142): 1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
 libinput Accel Speed (313): 0.000000
 libinput Accel Speed Default (314): 0.000000
 libinput Accel Profiles Available (315): 1, 1
 libinput Accel Profile Enabled (316): 1, 0
 libinput Accel Profile Enabled Default (317): 1, 0
 libinput Natural Scrolling Enabled (318): 0
 libinput Natural Scrolling Enabled Default (319): 0
 libinput Send Events Modes Available (261): 1, 0
 libinput Send Events Mode Enabled (262): 0, 0
 libinput Send Events Mode Enabled Default (263): 0, 0
 libinput Left Handed Enabled (320): 0
 libinput Left Handed Enabled Default (321): 0
 libinput Scroll Methods Available (322): 0, 0, 1
 libinput Scroll Method Enabled (323): 0, 0, 1
 libinput Scroll Method Enabled Default (324): 0, 0, 1
 libinput Button Scrolling Button (325): 2
 libinput Button Scrolling Button Default (326):2
 libinput Middle Emulation Enabled (327): 0
 libinput Middle Emulation Enabled Default (328): 0
 Device Node (264): "/dev/input/event6"
 Device Product ID (265): 2, 10
 libinput Drag Lock Buttons (329): <no items>
 libinput Horizontal Scroll Enabled (330): 1

Middle click does work (eg. pastes things and opens links in new tabs), I just can't scroll with it. Anyone else upgraded to 17.04 and experiencing this? (I know I should post a new issue, but I wanted to update this one in case other people who had this issue before were having issues again.)

Ibrahim Awwal, given your environment stopped working after an upgrade, you have a completely different problem than what was scoped to this now closed report.

Hence, it will help immensely if you filed a new report with Ubuntu by ensuring you have the package xdiagnose installed, and that you click the Yes button for attaching additional debugging information running the following from a terminal:
ubuntu-bug xorg

Please feel free to subscribe me to it.

summary: - Middle button does not work for scrolling
+ Middle button does not work for scrolling in Ubuntu 13.10
Changed in xserver-xorg-input-evdev (Ubuntu):
importance: Low → Undecided
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers